#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int t, n, k, m = 0, M = 0;
    cin >> t >> n >> k;

    vector<int> a(n);

    for(int i = 0; i < n; i++){
        cin >> a[i];
    }

    sort(a.begin(), a.end());
    for(int i = 0; i < n; i++){
        if(a[i] >= M) M++;
        else M--;
    }

    for(int i = 0; i < n; i++){
        if(a[a.size()-1-i] >= m) m++;
        else m--;
    }

    if(k >= m && k <= M && abs(k)%2 == n%2) cout << "DA" << endl;
    else cout << "NE" << endl;

    return 0;
}